#!/usr/bin/python
import sys
import mwclient
from subprocess import *

site = mwclient.Site('en.wikipedia.org')

page = site.Pages[sys.argv[1]]

revs = page.revisions(prop = 'content', limit = 1)
try:
	rev = revs.next()
	text = rev['*']
except StopIteration:
	text = u''
  
text = site.parse(text)

proc = Popen('textutil -stdin -stdout -convert txt -format html -inputencoding UTF-8', shell=True, bufsize=1, stdin=PIPE, stdout=PIPE)

text = text['text']['*'].encode('utf8')
text = proc.communicate(text)[0]
text = text.replace('[edit] ','')

# get rid of the first line that contains API reference, but only if it's in the first 2 lines
lines = text.split('\n', 2)
for index in range(len(lines)):
  line = lines[index]
  if index >= 2 or (line.find(" api ") == -1 and line.find(" API ") == -1):
    print line
